<template>
  <div class="form-group">
    <label for="email">{{ text }}</label>
    <input
      class="form-control"
      :type="type"
      :name="name"
      :value="value"
      :disabled="disabled"
      @change="handleOnchange"
    />
  </div>
</template>
<script>
export default {
  name: "Input",
  props: {
    text: {
      type: String,
    },
    type: {
      type: String,
      default: "text",
    },
    name: {
      type: String,
      require: true,
    },
    value: {},
    disabled: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {};
  },
  methods: {
    handleOnchange(e) {
      this.$emit("change", e);
    },
  },
};
</script>
<style>
</style>
